Bug 591199 - [abrt] crash in cobbler-2.0.3.1-3.fc12: clogger.py:43:__init__:IOError: [Errno 13] Permission denied: '/var/log/cobbler/cobbler.log'
[abrt] crash in cobbler-2.0.3.1-3.fc12: clogger.py:43:__init__:IOError: [Errn...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John Eckersberg
Fedora Extras Quality Assurance
abrt_hash:c50592c8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 12:16 EDT by Claudio Rodrigo Pereyra DIaz
Modified: 2010-12-03 09:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (740 bytes, text/plain)
2010-05-11 12:17 EDT, Claudio Rodrigo Pereyra DIaz
no flags Details

  None (edit)
Description Claudio Rodrigo Pereyra DIaz 2010-05-11 12:16:58 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/cobbler
component: cobbler
executable: /usr/bin/cobbler
kernel: 2.6.32.11-99.fc12.x86_64
package: cobbler-2.0.3.1-3.fc12
reason: clogger.py:43:__init__:IOError: [Errno 13] Permission denied: '/var/log/cobbler/cobbler.log'
release: Fedora release 12 (Constantine)

backtrace
-----
clogger.py:43:__init__:IOError: [Errno 13] Permission denied: '/var/log/cobbler/cobbler.log'

Traceback (most recent call last):
  File "/usr/bin/cobbler", line 17, in <module>
    import cobbler.cli as app
  File "/usr/lib/python2.6/site-packages/cobbler/cli.py", line 31, in <module>
    import utils
  File "/usr/lib/python2.6/site-packages/cobbler/utils.py", line 115, in <module>
    main_logger = clogger.Logger()
  File "/usr/lib/python2.6/site-packages/cobbler/clogger.py", line 43, in __init__
    self.logfile = open(logfile, "a")
IOError: [Errno 13] Permission denied: '/var/log/cobbler/cobbler.log'

Local variables in innermost frame:
self: <cobbler.clogger.Logger instance at 0xf0ff38>
logfile: '/var/log/cobbler/cobbler.log'
Comment 1 Claudio Rodrigo Pereyra DIaz 2010-05-11 12:17:01 EDT
Created attachment 413185 [details]
File: backtrace
Comment 2 Ankur Sinha (FranciscoD) 2010-08-28 04:35:29 EDT
Package: cobbler-2.0.3.1-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. ran cobbler check
2.
3.
Comment 3 Bug Zapper 2010-11-03 11:05:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:48:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.